#include "AnniversaryMarionette.h"
#include "Engine/HitResult.h"
#include "RespawnableComponent.h"
#include "Components/SphereComponent.h"
#include "Components/StaticMeshComponent.h"

class UPrimitiveComponent;
class AActor;

void AAnniversaryMarionette::Authority_OnPlayerTrackerBeginOverlap(UPrimitiveComponent* hitComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

AAnniversaryMarionette::AAnniversaryMarionette()
{
	this->_respawnableComponent = CreateDefaultSubobject<URespawnableComponent>(TEXT("RespawnableComponent"));
	this->_rotationRate = 5.000000;
	this->_playerTracker = CreateDefaultSubobject<USphereComponent>(TEXT("PlayerTracker"));
	this->_dancingCharacter = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("DancingCharacter"));
	this->_maskLSocketName = TEXT("MaskL");
	this->_maskRSocketName = TEXT("MaskR");
}
